org.hibernate.search.batchindexing.impl

## Class IdentifierConsumerDocumentProducer

- java.lang.Object
- - org.hibernate.search.batchindexing.impl.IdentifierConsumerDocumentProducer

- All Implemented Interfaces:
    Runnable

      public class IdentifierConsumerDocumentProducer
      extends Object
      implements Runnable

  This `SessionAwareRunnable` is consuming entity identifiers and producing corresponding `AddLuceneWork` instances being forwarded to the index writing backend. It will finish when the queue it is consuming from will signal there are no more identifiers.
  Author:
    Sanne Grinovero

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentifierConsumerDocumentProducer(ProducerConsumerQueue<List<Serializable>> fromIdentifierListToEntities, MassIndexerProgressMonitor monitor, SessionFactory sessionFactory, CountDownLatch producerEndSignal, CacheMode cacheMode, IndexedTypeIdentifier indexedType, ExtendedSearchIntegrator searchFactory, String idName, BatchBackend backend, ErrorHandler errorHandler, Integer transactionTimeout, String tenantId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentifierConsumerDocumentProducer

          public IdentifierConsumerDocumentProducer(ProducerConsumerQueue<List<Serializable>> fromIdentifierListToEntities,
                                                    MassIndexerProgressMonitor monitor,
                                                    SessionFactory sessionFactory,
                                                    CountDownLatch producerEndSignal,
                                                    CacheMode cacheMode,
                                                    IndexedTypeIdentifier indexedType,
                                                    ExtendedSearchIntegrator searchFactory,
                                                    String idName,
                                                    BatchBackend backend,
                                                    ErrorHandler errorHandler,
                                                    Integer transactionTimeout,
                                                    String tenantId)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved